tm_im:
  label: IM Component
  namespace: Organisms/TM - Interactive Map
  use: '@organisms/tm-im/tm-im.html.twig'
  description: IM Component
  dependencies:
    - tm_im_sidebar
    - tm_im_map
  libraries:
    - tm_im_lib:
        css:
          component:
            ../styles/tm-im.css: {}
        js:
          ../behaviors/tm-im.js: {}
  fields:
    content:
      type: pattern
      label: Content
      preview:
        - id: tm_im_sidebar
        - id: tm_im_map
  settings:
    position:
      label: Type
      type: select
      options:
        left: Left
        right: Right
      preview: left
      default_value: left
    hide_toggle:
      label: Hide toggle
      type: boolean
      preview: false
      default_value: false
